#pragma once

#include "vect.h"
#include <string>

using namespace std;

struct Image;

struct Font
{
	Font();
	Font(Image *img_);
	~Font();

	Image *img;
	vect2f dim;
	vect2i spacing;

	void load(Image *img_);

	void draw(string str){vect2f z; z(0,0); draw(str, z);}
	void draw(string str, vect2f pos);
	void draw(char ch, vect2f pos);

	vect2f get_size();
	vect2f get_size(string &str);
};
