#pragma once

#include <string>
#include "array.h"
#include "vect.h"

using namespace std;

struct Triangle
{
	vect3i p; // 3D position coordinate
	vect3i t; // 2D texture coordimate
};

struct Mesh
{
	Array<vect3f> pos;
	Array<vect2f> uv;
	Array<Triangle> tris;

	void load(string fn);
	void scaleToBox();
	float get_area(int i);
};
