#pragma once

#include "mip.h"
#include "constants.h"
#include "mesh.h"
#include "array.h"
#include "array2d.h"
#include "font.h"

struct SDL_Surface;


struct Global
{
	Global();

	SDL_Surface *screen;

	Mesh mesh;
	Array2D<vect4f> img;

	Array<MipStack> mips;
	Array<string> mip_names;

	int num_mip_levels;
	int mip_level;
	double mip_fraction;
	int which;
	bool draw_mesh;
	bool draw_text;

	int scr_width, scr_height;
	bool running;
	
	Image img_font;
	Font font;

	int phi, theta;
};

extern Global g;